---
- name: Ensure systemwide MTU
  copy:
    content: |
      {
       "address": {"defaults": { "mtu": "9216" },
                   "iface_defaults": {"eth0": {"mtu": "1500"}}
                  }
      }
    dest: /etc/network/ifupdown2/policy.d/mtu.json
    mode: '0644'
    owner: 'root'
    group: 'root'
  notify: apply interface changes

- name: Configure interfaces
  template:
    src: interfaces.j2
    dest: /etc/network/interfaces
    validate: ifup -a -s -i %s
    mode: '0644'
    owner: 'root'
    group: 'root'
  notify: apply interface changes

- meta: flush_handlers
